PDA

View Full Version : Errors When Installing EVOLUTION



LAF
06-06-2007, 06:33 PM
Hi,

Trying to install Evolution on my PERSISTENT HOME USB key and got the following error:

Reading package lists... Done
Building dependency tree... Done
Package evolution is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package evolution has no installation candidate


Can somebody help???

Marc.

JohnnyH
06-06-2007, 10:17 PM
You don't tell us which release of Knoppix you are using, but *assuming* that it is 5.1.x or 5.0.x your /etc/apt/sources.list file if unmodified will be using obsolete designations of what "stable" "testing" and "unstable" mean for Debian packages.
I recommend that you read up about packaging on http://www.debian.org/distrib/packages
but anyway try invoking

apt-get update
apt-get -s install evolution
and assess whether you are happy with what the apt-get simulation tells you it will install|upgrade|remove if applicable.
If you want to proceed then

apt-get install evolution
will probably work for you.

LAF
06-07-2007, 01:50 PM
Thanks JohnyH,

I will try that. But I think I know what the problem is!

I have to go through PROXY to get to the INTERNET...

I setup Manual PROXY in the browser (Konqueror). But when trying to do stuff like apt-get, it doesn't work. Is there soemthing I have to do to set the PROXY for the ENTIRE KNOPPIX 5.1??? If so, what do I do and where do I go??

Thanks,

Marc.

LAF
06-07-2007, 06:10 PM
Ok,

I did the apt-get update, here's the error that came back:

Hit http://security.debian.org testing/updates/contrib Packages
Hit http://security.debian.org testing/updates/non-free Packages
Fetched 31.0kB in 3s (8866B/s)
Failed to fetch http://ftp.uni-kl.de/debian-local/dists/sid/main/binary-i386/Packages.gz 404 Not Found [IP: 10.64.1.100 80]
W: There is no public key available for the following key IDs:
B5D0C804ADB11277
W: GPG error: http://sidux.com sid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 3916C431F80994F6
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
root@Knoppix:/KNOPPIX.IMG/home/knoppix#

Can somebody help me?

Marc.

JohnnyH
06-07-2007, 06:42 PM
1. OK, having done the apt-get update (set aside those errors for the moment), did you then try the apt-get -s install evolution ?

2. Might as well get your /etc/apt/sources.list file aligned to the current Debian mirrors set-up. You are unlikely to need the Knoppix-specific sites in the file by this time, so I suggest that you replace your /etc/apt/sources.list with the following (better to back-up your original first ;) )

deb http://ftp.uk.debian.org/debian/ etch main non-free contrib
#deb-src http://ftp.uk.debian.org/debian/ etch main non-free contrib

deb http://security.debian.org/ etch/updates main contrib non-free
#deb-src http://security.debian.org/ etch/updates main contrib non-free

# VLC Player and libdvdcss
deb http://download.videolan.org/pub/videolan/debian sid main

# w32codecs
deb http://www.debian-multimedia.org etch main

# cinelerra
deb http://www.kiberpipa.org/~minmax/cinelerra/builds/sid/ ./

(To get a mirror closer to you, replace "uk" by your country code)
Then do

apt-get update
apt-get -s install evolution

and then if it looks OK


apt-get install evolution
Good luck :)

LAF
06-07-2007, 08:44 PM
Hi JohnnyH,

I did modify my souces.list. Then I did apt-get update. Here's the results:

Hit http://security.debian.org testing/updates/main Packages
Hit http://security.debian.org testing/updates/contrib Packages
Hit http://security.debian.org testing/updates/non-free Packages
Get:27 http://ftp.uk.debian.org etch/non-free Packages [83.6kB]
Get:28 http://ftp.uk.debian.org etch/contrib Packages [60.0kB]
Fetched 4780kB in 43s (110kB/s)
Failed to fetch http://ftp.uni-kl.de/debian-local/dists/sid/main/binary-i386/Packages.gz 404 Not Found [IP: 10.52.1.100 80]
W: There is no public key available for the following key IDs:
B5D0C804ADB11277
W: GPG error: http://sidux.com sid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 3916C431F80994F6
W: There is no public key available for the following key IDs:
B5D0C804ADB11277
W: GPG error: http://www.debian-multimedia.org etch Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
root@Knoppix:/etc/apt#

What next ?

Thanks,

Marc.

JohnnyH
06-08-2007, 11:03 AM
1] Because you got this :-


...
Failed to fetch http://ftp.uni-kl.de/debian-local/dists/sid/main/binary-i386/Packages.gz 404 Not Found [IP: 10.52.1.100 80]
...
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
...

it seems that you *added* the modifications to your original /etc/apt/sources.list file, but you should
*completely replace* the original /etc/apt/sources.list file with the changes that I suggested.

2] You don't say whether you tried
apt-get -s install evolution, but it might have worked anyway now as the

Hit http://security.debian.org testing/updates/main Packages
Hit http://security.debian.org testing/updates/contrib Packages
Hit http://security.debian.org testing/updates/non-free Packages
Get:27 http://ftp.uk.debian.org etch/non-free Packages [83.6kB]
Get:28 http://ftp.uk.debian.org etch/contrib Packages [60.0kB]
Fetched 4780kB in 43s (110kB/s)

are OK.
But it is best to remove the ... ftp.uni-kl.de to avoid errors.

By The Way


W: There is no public key available for the following key IDs:
B5D0C804ADB11277
W: GPG error: http://sidux.com sid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 3916C431F80994F6
W: There is no public key available for the following key IDs:
B5D0C804ADB11277
W: GPG error: http://www.debian-multimedia.org etch Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907

are not serious problems; you can still use them - you would have to tell apt-get (when prompted) to install the 'unofficial' codecs without verification ;)

3] Do you know what is your country code ? I know that it can be difficult if English is not your 'langue maternelle' but if you look at http://www.debian.org/distrib/packages you can find translations to
Българ?ки (Bəlgarski) catal* ?esky dansk Deutsch Ελληνικά (Ellinika) español français 한*어 (Hangul) hrvatski Italiano magyar Nederlands 日本語 (Nihongo) polski Português *у??кий (Russkij) slovensky suomi svenska Türkçe україн?ька (ukrajins'ka)

4] We are making progress - good luck :)

LAF
06-08-2007, 01:47 PM
Thanks so much JohnnyH,

You are so patient... I will try your suggestions, and I'll keep you posted!

Cheers :-)

Marc.

LAF
06-08-2007, 02:19 PM
Ok,

I did replace everything in the sources.list by the lines that you sent me. Then I did the apt-get update, got an error. Then I tried apt-get -s install evolution.

Here's the results:

Get:5 http://www.debian-multimedia.org etch Release [4175B]
Get:6 http://security.debian.org etch/updates/main Packages [63.4kB]
Hit http://ftp.uk.debian.org etch/main Packages
Ign http://www.debian-multimedia.org etch Release
Hit http://ftp.uk.debian.org etch/non-free Packages
Hit http://ftp.uk.debian.org etch/contrib Packages
Ign http://www.debian-multimedia.org etch/main Packages
Hit http://www.debian-multimedia.org etch/main Packages
Hit http://security.debian.org etch/updates/contrib Packages
Hit http://security.debian.org etch/updates/non-free Packages
Fetched 90.4kB in 3s (22.8kB/s)
W: There is no public key available for the following key IDs:
B5D0C804ADB11277
W: GPG error: http://www.debian-multimedia.org etch Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 07DC563D1F41B907
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
root@Knoppix:/etc/apt# apt-get -s intall evolution
E: Invalid operation intall
root@Knoppix:/etc/apt# apt-get -s install evolution
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
root@Knoppix:/etc/apt#


What is the next step?

Thanks JohnnyH,

Marc.

JohnnyH
06-08-2007, 04:20 PM
I've never been in the situation of having to do this, but try
dpkg --configure -a - it cannot do any harm and may reset the dpkg configuration successfully. Then try
apt-get install evolution :)

LAF
06-08-2007, 06:09 PM
Ok,

I tried apt-get install evolution and got this back:

unable to create `./usr/share/doc/libebook1.2-5/TODO': Not a directory
Selecting previously deselected package libecal1.2-6.
Unpacking libecal1.2-6 (from .../libecal1.2-6_1.6.3-5_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libecal1.2-6_1.6.3-5_i386.deb (--unpack):
unable to create `./usr/share/doc/libecal1.2-6/TODO': Not a directory
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Selecting previously deselected package libedataserverui1.2-6.
Unpacking libedataserverui1.2-6 (from .../libedataserverui1.2-6_1.6.3-5_i386.deb) ...
Selecting previously deselected package libsoup2.2-8.
Unpacking libsoup2.2-8 (from .../libsoup2.2-8_2.2.98-2_i386.deb) ...
Selecting previously deselected package libegroupwise1.2-10.
Unpacking libegroupwise1.2-10 (from .../libegroupwise1.2-10_1.6.3-5_i386.deb) ...
Selecting previously deselected package libexchange-storage1.2-1.
Unpacking libexchange-storage1.2-1 (from .../libexchange-storage1.2-1_1.6.3-5_i386.deb) ...
Selecting previously deselected package libgnome-pilot2.
Unpacking libgnome-pilot2 (from .../libgnome-pilot2_2.0.15-2_i386.deb) ...
E: Sub-process /usr/bin/dpkg received a segmentation fault.
root@Knoppix:/KNOPPIX.IMG/home/knoppix#

What is a segmentation fault???

I'm this close !!!

Marc.

LAF
06-08-2007, 06:40 PM
I've never been in the situation of having to do this, but try
dpkg --configure -a - it cannot do any harm and may reset the dpkg configuration successfully. Then try
apt-get install evolution :)

Hey GREAT NEWS !!!!!!!

It's all installed... EVOLUTION is on my USB Key and ready to use.

And it's your fault :-)

Seriously, Thanks for your guidance .

Now I have to get Evolution plug ins. Microsoft Exchange server is part of that plug in.

Any ideas on where to get that?

Cheers,

Marc

JohnnyH
06-08-2007, 06:54 PM
1]
...
What is a segmentation fault???
... This provides an introduction and further links ...
http://en.wikipedia.org/wiki/Segmentation_fault

2] Unfortunately I do not have experience of working with a PERSISTENT HOME USB key, so I may not be able to help much more :( ...
... but it *may* be that the USB key does not have sufficient memory free to accommodate the 'installation' process for Evolution.
Evolution is a package that uses a lot of Gnome libraries, many of which are not present ab initio in Knoppix (CD or, probably, USB versions) and so needs a lot of storage space.
Your best option might be to transplant your system to a larger USB key if possible; maybe some experts in using USB keys could advise ?
To get a response I suggest that you start a new thread with appropriate title for that.
[EDITED after seeing your new post above : EXCELLENT please ignore this posting ;) ]

JohnnyH
06-08-2007, 07:04 PM
Now I have to get Evolution plug ins. Microsoft Exchange server is part of that plug in.
Any ideas on where to get that?

Never used them myself, but I expect that you could find them with the Search boxes in
http://www.debian.org/distrib/packages

LAF
06-08-2007, 08:08 PM
Now I have to get Evolution plug ins. Microsoft Exchange server is part of that plug in.
Any ideas on where to get that?

Never used them myself, but I expect that you could find them with the Search boxes in
http://www.debian.org/distrib/packages

It's Ok,

I installed the EVOLUTION-EXCHANGE package, and evolution is Sooo Happy now!!!

Thanks for everything again.

Take Care.

Cheers,

Marc.